## org.biojava.bio.seq.io.game12
Class GAMESeqHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game12.StAXFeatureHandler
              org.biojava.bio.seq.io.game12.GAMESeqHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMESeqHandler

extends StAXFeatureHandler

Handles the GAME <seq> element

Since:
  1.2
Author:
  David Huen

Field Summary
`static StAXHandlerFactory` `GAME_SEQ_HANDLER_FACTORY` Description of the Field

Fields inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`staxenv`

Method Summary
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler staxHandler)` Element specific exit handler Subclass to do anything useful.
`int` `getSequenceLength()` Gets the sequenceLength attribute of the GAMESeqHandler object
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`addHandler, endElement, returnData, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GAME_SEQ_HANDLER_FACTORY

    public static final StAXHandlerFactory GAME_SEQ_HANDLER_FACTORY

  Description of the Field

Method Detail

### getSequenceLength

    public int getSequenceLength()

  Gets the sequenceLength attribute of the GAMESeqHandler object

  Returns:
    The sequenceLength value

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `attrs` - Description of the Parameter
  Throws:
    `SAXException` - Description of the Exception

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler staxHandler)
                           throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `staxHandler` - Description of the Parameter
  Throws:
    `SAXException` - Description of the Exception